--
-- $Id$
--
-- Aanvullen historisch bewaarde RES_RSV_RUIMTE_ORDERNR met J/N-indicatie of
-- huurder WAS een 'Gemeentelijke afdeling' (= Interne huurder en als zodanig
-- niet BTW-plichtig).
DEFINE thisfile = 'DENB#55219.SQL'
DEFINE dbuser   = '^DENB'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

ALTER TRIGGER RES_T_RES_RSV_RUIMTE_B_IU DISABLE;

UPDATE res_rsv_ruimte rrr
   SET rrr.res_rsv_ruimte_ordernr =
          SUBSTR (rrr.res_rsv_ruimte_ordernr, 1, INSTR (rrr.res_rsv_ruimte_ordernr, '|', 1, 2) - 1) || '#J' || SUBSTR (rrr.res_rsv_ruimte_ordernr, INSTR (rrr.res_rsv_ruimte_ordernr, '|', -1))
 WHERE rrr.res_rsv_ruimte_ordernr IS NOT NULL
       AND LENGTH (SUBSTR (rrr.res_rsv_ruimte_ordernr, INSTR (rrr.res_rsv_ruimte_ordernr, '|', -1) + 1)) IS NULL;

UPDATE res_rsv_ruimte rrr
   SET rrr.res_rsv_ruimte_ordernr =
          SUBSTR (rrr.res_rsv_ruimte_ordernr, 1, INSTR (rrr.res_rsv_ruimte_ordernr, '|', 1, 2) - 1) || '#N' || SUBSTR (rrr.res_rsv_ruimte_ordernr, INSTR (rrr.res_rsv_ruimte_ordernr, '|', -1))
 WHERE rrr.res_rsv_ruimte_ordernr IS NOT NULL
       AND LENGTH (SUBSTR (rrr.res_rsv_ruimte_ordernr, INSTR (rrr.res_rsv_ruimte_ordernr, '|', -1) + 1)) > 0;

ALTER TRIGGER RES_T_RES_RSV_RUIMTE_B_IU ENABLE;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
